﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataEntity
{

    [AddINotifyPropertyChangedInterface]
    [Table("Palety")]
    public partial class Paleta: BaseModel
    {

        [Key]
        public int PaletaId { get; set; }
        public string AdrUlo { get; set; }

        [Required]
        public int MnozPa { get; set; }

        public string Komentar { get; set; }

        public int? MaterialId { get; set; }

        [ForeignKey("MaterialId")]
        public virtual Material Material { get; set; }

        public int PaletaTypId { get; set; }

        [ForeignKey("PaletaTypId")]
        public virtual PaletaTyp PaletaTyp { get; set; }

        public int PaletaStavId { get; set; }

        [ForeignKey("PaletaStavId")]
        public virtual PaletaStav PaletaStav { get; set; }


    }
}
